using Hotline.Share.Enums.Quality;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Quality
{
	[Description("质检项目")]
	public class QualityItem : FullStateEntity
	{
		/// <summary>
		/// 质检项目名称
		/// </summary>
		[SugarColumn(ColumnDescription = "质检项目名称")]
		public string Name { get; set; }

		/// <summary>
		/// 质检项目描述
		/// </summary>
		[SugarColumn(ColumnDescription = "质检项目描述", ColumnDataType = "text")]
		public string? Describe { get; set; }

		/// <summary>
		/// 质检项目分组名称
		/// </summary>
		[SugarColumn(ColumnDescription = "质检项目分组名称")]
		public string GroupingName { get; set; }

		/// <summary>
		/// 是否智能质检项目
		/// </summary>
		[SugarColumn(ColumnDescription = "是否智能质检项目  0  不是  1 是")]
		public int IsIntelligent { get; set; }

		/// <summary>
		/// 分值
		/// </summary>
		[SugarColumn(ColumnDescription = "分值")]
		public int Grade { get; set; }

		/// <summary>
		/// 启禁用
		/// </summary>
		[SugarColumn(ColumnDescription = "启禁用  1  启用  0 禁用")]
		public int IsEnable { get; set; }


		/// <summary>
		/// 最近更新人
		/// </summary>
		[SugarColumn(ColumnDescription = "最近更新人")]
		public string? LastModificationName { get; set; }

	}
}
